Mailboxes

List mailbox decisions awaiting you

Returns held sends this caller can approve and quarantined messages this caller may release across their visible mailboxes.

GET
/v1/mailboxes/needs-you

Returns held sends this caller can approve and quarantined messages this caller may release across their visible mailboxes. Counts cover all actionable items, independent of the current cursor page. Metadata only; isolated messages, self approvals, and decisions the credential cannot perform are excluded.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?Cursor|null

Response Body

MailboxNeedsYou

application/json
  1. response
items*array<|>
nextCursor*string|null
counts*

All items this caller may decide, independent of the current page.

Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.mailboxes.getNeedsYou({});
Example Response
{  "items": [    {      "type": "heldSend",      "id": "string",      "mailbox": {        "id": "string",        "address": "string",        "kind": "personal"      },      "threadId": "string",      "draftId": "string",      "proposedBy": {        "kind": "user",        "id": "string",        "displayName": "string"      },      "source": "humanUi",      "createdAt": "string"    }  ],  "nextCursor": "string",  "counts": {    "heldSends": -9007199254740991,    "quarantinedMessages": -9007199254740991,    "total": -9007199254740991  }}

Related documentation